Vraag & Antwoord

OS Linux

Systeemeisen nieuwste KDE?

Anoniem
maximilaan
27 antwoorden
  • Hallo allemaal,

    Ondanks de gigantische zooi aan informatie op de KDE website, kan ik zoiets eenvoudigs als systeemeisen voor de laatste KDE versie niet vinden.

    Ik draai op een Pentium II 450 SuSE linux 9.2. Eigenlijk is dit al wat aan de zware kant (SuSE 8.2 draaide stukken beter), waarschijnlijk door de zware KDE die ik standaard gebruik in combinatie met de (toen nieuwe) Linux kernel.

    Mijn vraag is dus: is KDE 3.5 lichter in gebruik dan KDE 3.3? Dan loont het voor mij namelijk de moeite om eens te gaan upgraden…

    Als er iemand een tip heeft om KDE wat minder zwaar te maken: graag!

    Groetjes,

    Philip
  • [quote:b5c64918de="philipg"]Ik draai op een Pentium II 450 SuSE linux 9.2. Eigenlijk is dit al wat aan de zware kant (SuSE 8.2 draaide stukken beter), waarschijnlijk door de zware KDE die ik standaard gebruik in combinatie met de (toen nieuwe) Linux kernel.

    Mijn vraag is dus: is KDE 3.5 lichter in gebruik dan KDE 3.3? Dan loont het voor mij namelijk de moeite om eens te gaan upgraden… [/quote:b5c64918de] Ook ik kon daar geen info over vinden op de KDE website. Maar ik vond wel een site met een review over Desktops: KDE vs Gnome. Daarop staan ook de Hardware requirements. http://linuxreviews.org/software/desktops/#toc4 Ik denk niet dat KDE 3.5 lichter in gebruik dan KDE 3.3. Ik heb zelf onder andere SuSE 9.3 en SuSE 10.0 op een dual Pentium III 1000 Mhz met 512 MB RAM.

    In SuSE 9.3 heb ik KDE al geupgraded naar versie 3.5. Commando top
    [code:1:b5c64918de]
    Tasks: 76 total, 1 running, 75 sleeping, 0 stopped, 0 zombie
    Cpu(s): 1.3% us, 0.5% sy, 0.0% ni, 98.2% id, 0.0% wa, 0.0% hi, 0.0% si
    Mem: 514712k total, 206960k used, 307752k free, 13292k buffers
    Swap: 1060208k total, 0k used, 1060208k free, 105788k cached
    [/code:1:b5c64918de]

    In SuSE 10.0 draait nog steeds de originele KDE 3.4.2.
    [code:1:b5c64918de]
    Tasks: 88 total, 1 running, 87 sleeping, 0 stopped, 0 zombie
    Cpu(s): 2.2% us, 0.5% sy, 0.0% ni, 97.3% id, 0.0% wa, 0.0% hi, 0.0% si
    Mem: 514396k total, 379132k used, 135264k free, 18520k buffers
    Swap: 1060208k total, 0k used, 1060208k free, 247460k cached
    [/code:1:b5c64918de] Deze gebruikt meer werk geheugen. Maar dat is omdat de systeemeisen voor SuSE 10.0 zijn verdubbeld ten opzichte van SuSE 9.3.
  • [quote:f5496da871="philipg"]
    Ondanks de gigantische zooi aan informatie op de KDE website, kan ik zoiets eenvoudigs als systeemeisen voor de laatste KDE versie niet vinden.
    [/quote:f5496da871]
    Klopt, kde geeft geen systeemvereisten ;)
    standaard is het een pII met 128 mb ram het minimum, optimaal is 256 mb ram.

    [quote:f5496da871]
    Ik draai op een Pentium II 450 SuSE linux 9.2. Eigenlijk is dit al wat aan de zware kant (SuSE 8.2 draaide stukken beter), waarschijnlijk door de zware KDE die ik standaard gebruik in combinatie met de (toen nieuwe) Linux kernel.
    [/quote:f5496da871]
    ok. Bij mij draaide suse 9.3 vrij zwaar, maar suse10 is een stuk lichter..

    [quote:f5496da871]
    Mijn vraag is dus: is KDE 3.5 lichter in gebruik dan KDE 3.3?
    [/quote:f5496da871]
    Hij komt sneller over bij mij, maar dat kan per pc nogal verschillen.
    3.5 bevat geen spectaculaire uitbreidingen, maar meer consolidatie van bestaande code en snelheidsverbeteringen.
    Je hebt dus kans dat hij soepeler draait.

    [quote:f5496da871]
    Dan loont het voor mij namelijk de moeite om eens te gaan upgraden…
    [/quote:f5496da871]
    probeer eens de live-cd van suse10, dan kun je meteen kijken of die beter draait dan suse 9.2 :)

    [quote:f5496da871]
    Als er iemand een tip heeft om KDE wat minder zwaar te maken: graag!
    [/quote:f5496da871]
    Schakel aRts uit :)
    systeemgeluiden kun je dan in kcontrol doorsluizen naar [b:f5496da871]aplay[/b:f5496da871], ander multimediaspul biedt vaak de optie om via xine, gstreamer, etc. te werken.

    Kies verder een lichte gui (plastik bijv., of kdeII), schakel alle animaties e.d. in de verscheidene kcontrol-modules uit, gebruik geen achtergronden in kicker…
  • [quote:3b05620261="jolo"]Maar dat is omdat de systeemeisen voor SuSE 10.0 zijn verdubbeld ten opzichte van SuSE 9.3.[/quote:3b05620261]
    Tja, dat zegt verder helemaal niets over de werkelijke vereisten van 9.3 vs 10.0
    Ik denk dat Novell wat realistischer is met de systeemvereisten dan suse destijds ;)
  • Hallo Jolo,

    Bedankt voor de uitgebreide informatie. Volgens de website waar je naar refereerde zit ik sowieso op de helft van de systeemeisen (zowel qua intern geheugen als qua processor). KDE draait wel, maar niet lekker vloeiend.

    Tja, ik ben eigenlijk wel benieuwd naar KDE 3.5, dus misschien dat ik toch ga upgraden om te kijken hoe het draait en wat de nieuwe features zijn. Ik kan altijd nog terugschakelen naar fvwm2 of zo mocht de boel helemaal niet meer vooruit te branden zijn.

    Groetjes,

    Philip
  • Hallo Maximilaan,

    Bedankt voor de uitgebreide antwoorden. Ik zal inderdaad eens de live-CD van SuSE 10 uitproberen. Je weet maar nooit…

    En aRTs uitschakelen? Tja, dat ding geeft bij mij toch al een hoop problemen (zo af en toe gezeur over sample rates die mijn geluidskaart niet zou ondersteunen terwijl het meestal gewoon goed werkt), dus dat vind ik eigenlijk helemaal niet erg.

    Tja, en de overige opties uitzetten. Daar heb ik al eens eerder naar gekeken, maar toen niet de opties gevonden om dat allemaal uit te zetten of te wijzigen. Ik zal nog eens opnieuw kijken.

    Thanks,

    Philip
  • [quote:4ea1c95856="jolo"] Daarop staan ook de Hardware requirements. http://linuxreviews.org/software/desktops/#toc4 [/quote:4ea1c95856]

    Die requirements gaan echt nergens over :o Ik heb suse met kde draaiende op systemen die geeneens in de buurt komen van wat daar staat (p850 met 128 mb ram), en kde draait er soepel op.
    Laagste dat ik gebruikt heb is kubuntu met kde 3.4 op een oude p166 met 64 mb ram.
    Geen aanrader, maar het draaide wel :)
    Als de systeemvereisten van kde echt op een p1000 met 512 mb ram zaten, dan zou die p166 nooit kunnen draaien ;)

    Max
  • [quote:c10fedcec1="maximilaan"][quote:c10fedcec1="jolo"] Daarop staan ook de Hardware requirements. http://linuxreviews.org/software/desktops/#toc4 [/quote:c10fedcec1] Die requirements gaan echt nergens over. [/quote:c10fedcec1] Ik denk ook dat je die info met een korreltje zout kunt nemen. Maar het lijkt me wel aannemelijk dat een Pentium 1000 met 512 MB RAM aanbevolen is voor KDE 3.x. Zeker als ook nog zo een zware applicatie wordt gebruikt als OpenOffice.org.

    Overigens heb ik zelf ook nog een trage pc (Pentium II 266 Mhz (66 Mhz) met 256 MB RAM. Overklokt op 300 MHz (100 Mhz)) met SuSE 10.0 KDE 3.4.2. Volgens top gebruikt deze minder geheugen dan die 512 MB RAM pc
    [code:1:c10fedcec1]
    Tasks: 70 total, 1 running, 69 sleeping, 0 stopped, 0 zombie
    Cpu(s): 3.6% us, 2.0% sy, 0.0% ni, 92.5% id, 1.6% wa, 0.3% hi, 0.0% si
    Mem: 256128k total, 252372k used, 3756k free, 5620k buffers
    Swap: 530104k total, 0k used, 530104k free, 170740k cached
    [/code:1:c10fedcec1] Dit werkt weliswaar langzamer als op mijn Athlon XP 1700+ met 512 MB RAM, maar vind ik nog wel acceptabel.
  • OK,

    Ik heb bij deze besloten SuSE 10.0 erop te gooien (en daarna de nieuwste KDE eroverheen te installeren). Als dat echt niet wil draaien, kan ik altijd nog terug! Bedankt voor alle replies!

    Gr,

    Philip
  • [quote:96961cf26b="maximilaan"][quote:96961cf26b="jolo"] Daarop staan ook de Hardware requirements. http://linuxreviews.org/software/desktops/#toc4 [/quote:96961cf26b]

    Die requirements gaan echt nergens over :o Ik heb suse met kde draaiende op systemen die geeneens in de buurt komen van wat daar staat (p850 met 128 mb ram), en kde draait er soepel op.
    Laagste dat ik gebruikt heb is kubuntu met kde 3.4 op een oude p166 met 64 mb ram.
    Geen aanrader, maar het draaide wel :)
    Als de systeemvereisten van kde echt op een p1000 met 512 mb ram zaten, dan zou die p166 nooit kunnen draaien ;)

    Max[/quote:96961cf26b]

    Ik heb ook eens iemand gekend die op een 486/66 Windows98 had geinstalleerd, en er Quake 2 had opgezet en opgestart. Superlatieven schieten te kort om dit lijden te beschrijven. Ook hebben we eens Windows2000 geinstalleerd op een soortgelijk systeem.
    Mijn punt is: dat het KAN wilt nog niet zeggen dat het aanbevolen word, of zelfs maar in de buurt komt van zinnig bruikbaar.
  • [quote:2194db76c8="jolo"] Maar het lijkt me wel aannemelijk dat een Pentium 1000 met 512 MB RAM aanbevolen is voor KDE 3.x. Zeker als ook nog zo een zware applicatie wordt gebruikt als OpenOffice.org.[/quote:2194db76c8]
    Mja, openoffice is natuurlijk geen kde, dus dan zou je kunnen concluderen dat de requirements voor openoffice een p1000 met 512 mb ram is.

    Maar ook dat bestrijd ik :)
    Alhier draait openoffice soepel op 256 mb ram..

    op ons werk draai ik overigens openoffice op een p300 met 32 mb ram (win '98 ;) )

    Max
  • Hallo,

    Zoals al eerder vermeld heb ik besloten om een upgrade te doen naar SuSE 10.0. En aangezien er een OpenSuSE 10.0 is, ben ik daar maar voor gegaan. 5 ISO images gebrand. 1e CD erin, geboot, upgrade gestart.

    Alles verliep vlekkeloos tot de systeem herstart. Keurig netjes YaST opgestart om de upgrade af te maken, maar ook een foutmelding. Namelijk dat SuSE het installatiemedium niet kon vinden :-?

    Tja, als ik op "connect" klikte, dan probeerde SuSE geeneens de cdrom te mounten. Het probleem is volgens mij dat OpenSuSE niet zo snugger is om de CDROM als installatiemedium aan te merken voordat er een reboot is en de update verder wordt uitgevoerd. Nu probeerde YaST via internet (mijn oude installatiemedium) de update uit te voeren, maar dat gaat nogal lastig als er (nog) geen netwerk is geactiveerd in OpenSuSE. Ook de muis werkte niet in de grafische installatiemodus. Erg onhandig moet ik zeggen!

    OpenSuSE 10.0 krijgt van mij dus een diepe onvoldoende! Ik heb het niet voor mekaar gekregen om YaST te vertellen dat de CDROM het installatiemedium is. YaST is namelijk zo "gebruikersvriendelijk" dat je niet meer zelf iets kunt instellen, zoals het mounten van een installatiemedium. Slechte zaak.

    Conclusie: als de automatische installatieprocedure om wat voor reden dan ook niet door kan gaan, dan hang je…

    Tja, ik kan proberen om via internet (dus internet als medium) de upgrade uit te voeren. De installatieprocedure heeft dan in ieder geval het netwerk geinstalleerd. Maar ik ben bang dat het dan na de reboot weer fout gaat… Iemand nog een tip?

    Gr,

    Philip
  • [quote:7be8117982="philipg"] En aangezien er een OpenSuSE 10.0 is, ben ik daar maar voor gegaan. 5 ISO images gebrand. 1e CD erin, geboot, upgrade gestart. Alles verliep vlekkeloos tot de systeem herstart. (..) Iemand nog een tip? [/quote:7be8117982] Als je een dvd brander hebt, zou je van deze 5 SuSE ISO images, een DVD kunnen maken http://www.opensuse.org/Making_a_DVD_from_CDs Bij een DVD install komt de reboot later in de installatie procedure. Deze reboot komt pas nadat alle geselecteerde pakketten zijn geinstalleerd.
  • Aha,

    Bedankt Jolo! Da's een interessant gegeven. Niet omdat ik alle 5 CDs op 1 DVD-tje ga branden, want dat werkt niet zomaar in de SuSE installatieprocedure, maar wel omdat dit betekent dat bij een internet installatie (waarschijnlijk) ook eerst alle pakketten worden geinstalleerd voordat er een systeem reboot plaats vindt. Dat lost mijn probleem ook op.

    Tja, dan laat ik mijn systeem maar eens een nachtje ratelen…

    Thanks,

    Philip
  • [quote:189b914e51="philipg"]
    Zoals al eerder vermeld heb ik besloten om een upgrade te doen naar SuSE 10.0. En aangezien er een OpenSuSE 10.0 is, ben ik daar maar voor gegaan.
    [/quote:189b914e51]
    Hmm, niet echt verstandig, omdat opensuse de ontwikkelingsversie van suse zelf is.
    En die bevat minder pakketten etc.
    suse10 is het afgewerkte product..

    [quote:189b914e51]
    Alles verliep vlekkeloos tot de systeem herstart. Keurig netjes YaST opgestart om de upgrade af te maken, maar ook een foutmelding. Namelijk dat SuSE het installatiemedium niet kon vinden :-?
    [/quote:189b914e51]
    Als ik het goed begrijp:
    - bestaande systeem had internet als installatiebron
    - upgrade is vanaf cd gedaan
    - bij reboot past yast de installatiebron op schijf niet aan, waardoor de cd-rom's niet gezocht worden, maar het internet
    - installatie mislukt daardoor

    Dat lijkt me een ernstige fout die je even moet melden bij het team van opensuse..

    [quote:189b914e51]
    Iemand nog een tip?
    [/quote:189b914e51]
    is het systeem opstartbaar?
    Wat je moet proberen is om in yast zelf te komen, en dan het internet-installatiemedium te vervangen door een cd-installatiemedium

    Je kunt dat proberen door yast te laten zoeken, en als deze niks vindt de boel te annuleren.
    Als het goed is kom je dan wel in een beperkt werkende suse terecht.
    Start evt daarna de pc in runlevel 3 op.
    start vervolgens yast, ga naar de module [wijzig installatiebron], verwijder het ftp-medium (of zet die uit), en plaats daar de cd-medium.
    Herstart suse vervolgens vanaf cd1, en kies voor het rescu system (of iets in die trant..)
    Laat suse de hele brut doorlopen, en als het goed gaat merkt suse de mislukte instalatie op en en wordt alsnog alles van de cd's getrokken en geinstalleerd.

    Succes, Max
  • Hallo Maximilaan,

    openSuSE 10.0 start inderdaad op in console mode. Via YaST heb ik nu de cdrom (en internet) als installatiemedium aangemerkt. Alleen moet ik de installatie opnieuw uitvoeren en daar heb ik nog geen tijd voor gehad. De installatie via internet (gebruik makende van een speciaal voor internet geprepareerde CD die je ook kunt downloaden) mislukte vanwege een probleem met het ftp-protocol??? Tja, ik had geen IP-nummer bij de hand en DNS was volgens mij niet geactiveerd :-(. De installatieprocedure heeft inderdaad nog wat ruwe kantjes. Aangezien ik toch opensuse 10.0 helemaal op CD heb staan, probeer ik het binnenkort opnieuw aan de praat te krijgen.

    En nee, ik heb het nog niet aan de developers van opensuse gemeld. Als de installatieprocedure nu wel lukt, dan is het nog vroeg genoeg om dat even de melden (met een geteste werkende oplossing!).

    Wat bedoel je met dat openSuSE de developersversie is? Op de SuSE website is daar namelijk niets over te vinden. Wel dat nu openSuSE 10.0 de enige versie is die vrij beschikbaar is.

    SuSE 10.0 via ftp installeren kan dus niet lijkt mij, tenzij je een link voor mij hebt? Wellicht heb ik iets over het hoofd gezien…

    MvG,

    Philip
  • Als alternatief zou je bv Knoppix (~700MB) kunnen ophalen, op CD branden en daarna je PC booten. Knoppix gebruikt standaard KDE en met een klein truukje kun je het zelfs op je harde schijf installeren. Andere optie is de net-install van Debian (is ~110MB) Gisteren nog gedaan, werkt perfect ;) Let wel, je hebt dan een stevig lijntje naar internet nodig, er komt een download van zo'n 800-1000MB achteraan (netinstall is alleen basissysteem) dus niet doen met een 56k modem ;)

    Groet, M.V. Wesstein
  • [quote:5dcee875e8] Wat bedoel je met dat openSuSE de developersversie is? Op de SuSE website is daar namelijk niets over te vinden. Wel dat nu openSuSE 10.0 de enige versie is die vrij beschikbaar is.
    [/quote:5dcee875e8]
    hier staat de informatie:
    http://www.opensuse.org/Download

    Ergens op de helft staat een tabel waarin de verschillende mogelijkheden worden aangeboden.
    Hier kun je de evaluatieversie van suse10 downloaden.
    de cd's van de evalutatie zijn hetzelfde als die van retail, de dvd is de helft kleiner (omdat het aanbieden van een dvd van meer dan 8 gig voor problemen zorgt geloof ik)

    [quote:5dcee875e8]
    SuSE 10.0 via ftp installeren kan dus niet lijkt mij [/quote:5dcee875e8]
    Dat klopt, suse geeft van oudsher de ftp-versie pas enkele maanden na de uitgave van een nieuwe versie vrij.
    opensuse wordt doorlopend vrijgegeven (opensuse 10.1 is bijv. al te downloaden), dus die kun je als installatiebron gebruiken.
    Om die om te toveren in de volledige suse heb je deze informatie nodig:

    http://www.opensuse.org/Package_Repositories


    Max
  • [quote:1addd947ce="maximilaan"](omdat het aanbieden van een dvd van meer dan 8 gig voor problemen zorgt geloof ik) [/quote:1addd947ce] Wellicht ook beter. Want 1 dual-layer dvd is duurder dan twee single-layer dvd's.

    Ik heb hier uiteraard meerdere SuSE 10.0 dvd's aangeschaft.
    Die van Munnikes staat zo te zien 3.4 GB op.
    Die van Linux Magazine zelfs 3.8 GB.
    Die van Linux Format 4.0 GB. Maar daar staat niet alleen SuSE 10 op.
    En de winkel versie 8.0 GB. Deze heeft de 32- en 64 bit SuSE 10.
  • [quote:1416424b07]En de winkel versie 8.0 GB. Deze heeft de 32- en 64 bit SuSE 10.[/quote:1416424b07]

    volgens mij bevat de downloadversie van de dvd ook 32 en 64 bit, wat meteen de reden is waarom het softwareaanbod kleiner is dan bij de dual layer.
    (immers: als de dvd alleen 32 bit aanbood, dan zou in principe alle software er op passen)

    Max

Beantwoord deze vraag

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.